Your PHP installation does not support PostgreSQL.

Posted by
Updated onApril 5, 2018

Not happy with your web hosting service provider?

Approx. read time : 2 min

The time you compile/install PostgreSQL on your server and try accessing phpPgAdmin, you will receive message as below. phpPgAdmin won’t be accessible.

Your PHP installation does not support PostgreSQL. You need to recompile PHP using the –with-pgsql configure option.

It is because internal cPanel php doesn’t has PostgreSQL compiled. Rebuild the internal (cPanel) PHP so PostgreSQL support is compiled in. It is because last time your internal cPanel php was compiled, PostgreSQL was not installed.

Execute script below OR ask your web host to do it.

    /scripts/makecpphp

Perform a refresh OR try accessing phpPgAdmin from cPanel.

My name is Neha Khanna, I work for MilesWeb.com. I am interested in posting content on various topics. I aim at posting informative articles that provide value to people.